Bug 116659 - Initializing firewire controller failure message if module loaded by initrd
Initializing firewire controller failure message if module loaded by initrd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On: 116656
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 03:54 EST by Alexandre Oliva
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-24 15:33:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2004-02-24 03:54:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
This is a fallout from modprobe bug 116656, but it would be possible
(and perhaps desirable) to work around it in rc.sysinit.  We load the
firewire controller module, as well as the sbp2 module, without
checking whether they've already been loaded, and modprobe now fails
in this case.  If I force these modules to be loaded by initrd, I get
an undesirable FAIL during boot whehn rc.sysinit attempts to load the
ieee1394-controller module as well as sbp2.

Version-Release number of selected component (if applicable):
initscripts-7.46-1.1

How reproducible:
Always

Steps to Reproduce:
1.mkinitrd --with=sbp2
2.Reboot

Actual Results:  Initializing firewire controller (ohci1394): [FAIL]

Expected Results:  It might as well simply skip the whole thing if the
module is already loaded.

Additional info:
Comment 1 Bill Nottingham 2004-02-24 15:33:12 EST
This shouldn't be an issue with current modutils now.
Comment 2 Alexandre Oliva 2004-02-25 08:02:30 EST
Confirmed, the [FAILED] has now become an [OK].  Thanks!

Note You need to log in before you can comment on or make changes to this bug.